# Uses of Interface
org.eclipse.birt.chart.model.component.ComponentPackage

Packages that use ComponentPackage
Package
Description
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.

## Uses of ComponentPackage in org.eclipse.birt.chart.model.component

Fields in org.eclipse.birt.chart.model.component declared as ComponentPackage
Modifier and Type
Field
Description
`static final ComponentPackage`
ComponentPackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.birt.chart.model.component that return ComponentPackage
Modifier and Type
Method
Description
`ComponentPackage`
ComponentFactory.`getComponentPackage()`
Returns the package supported by this factory.

## Uses of ComponentPackage in org.eclipse.birt.chart.model.component.impl

Classes in org.eclipse.birt.chart.model.component.impl that implement ComponentPackage
Modifier and Type
Class
Description
`class`
`ComponentPackageImpl`
An implementation of the model Package .
Methods in org.eclipse.birt.chart.model.component.impl that return ComponentPackage
Modifier and Type
Method
Description
`ComponentPackage`
ComponentFactoryImpl.`getComponentPackage()`
`static ComponentPackage`
ComponentFactoryImpl.`getPackage()`
Deprecated.
`static ComponentPackage`
ComponentPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.